package cn.com.oa.common.constant;

import java.util.List;
import java.util.Map;

public class DataService {

    // 假设这是你需要存储的数据
    private static Map constantData;

    // 私有构造函数，防止外部实例化
    private DataService() {}

    // 提供一个公共的静态方法来设置数据
    public static synchronized void setConstantData(Map data) {
        constantData = data;
    }

    // 提供一个公共的静态方法来获取数据
    public static synchronized Map getConstantData() {
        return constantData;
    }
}